
USE AdventureWorks2008R2;
GO
DBCC FREEPROCCACHE
GO

SELECT T.TransactionID, T.TransactionDate, P.ProductID, P.Name 
FROM Production.TransactionHistory T
JOIN Production.Product P
ON T.ProductID = P.ProductID
WHERE P.ProductID = 1;
GO

SELECT T.TransactionID, T.TransactionDate, P.ProductID, P.Name 
FROM Production.TransactionHistory T
JOIN Production.Product P
ON T.ProductID = P.ProductID
WHERE P.ProductID = 3;
GO

SELECT T.TransactionID, T.TransactionDate, P.ProductID, P.Name 
FROM Production.TransactionHistory T
JOIN Production.Product P
ON T.ProductID = P.ProductID
WHERE P.ProductID = 870;
GO

SELECT T.TransactionID, T.TransactionDate, P.ProductID, P.Name 
FROM Production.TransactionHistory T
JOIN Production.Product P
ON T.ProductID = P.ProductID
WHERE P.ProductID = 849;
GO

EXECUTE sp_executesql 
N'SELECT T.TransactionID, T.TransactionDate, P.ProductID, P.Name 
FROM Production.TransactionHistory T
JOIN Production.Product P
ON T.ProductID = P.ProductID
WHERE P.ProductID = @productid;', 
N'@productid int', 849
GO

--Show the query_hash and query plan hash
--Query_hash is same, query_plan_hash is different
SELECT ST.text AS QueryText, QS.query_hash AS QueryHash, 
    QS.query_plan_hash AS QueryPlanHash
FROM sys.dm_exec_query_stats QS
CROSS APPLY sys.dm_exec_sql_text (QS.sql_handle) ST
WHERE text LIKE '%Production.Product%'
GO
