
-- 180 trace events
select * from sys.trace_events
order by name

-- 21 trace categories
select * from sys.trace_categories
order by name

-- 66 trace columns
select * from sys.trace_columns
order by name

-- all events, past and present
-- 118 new events in SQL2012 corresponding to trace events
-- 20 trace events were already in there...
select a.*, te.name from
(
select [Full Name], 'In 2012 not in R2' as [Status], description
from xe2008r2.dbo.events2012 e 
where not exists 
(select * from xe2008r2.dbo.eventsr2 e2
 where e.[Full Name] = e2.[Full Name]
)
union all
select [Full Name], 'In R2 not in 2012', description 
from xe2008r2.dbo.eventsr2 e2 
where not exists 
(select * from xe2008r2.dbo.events2012 e
 where e.[Full Name] = e2.[Full Name]
)
union all
select [Full Name], 'In both 2012 and R2', description 
from xe2008r2.dbo.events2012 e 
where exists 
(select * from xe2008r2.dbo.eventsr2 e2
 where e.[Full Name] = e2.[Full Name]
)
) as a
JOIN sys.trace_xe_event_map e 
ON a.[Full Name] = (e.package_name + '.' + e.xe_event_name)
JOIN sys.trace_events te
ON te.trace_event_id = e.trace_event_id
order by [Status], [Full Name]

-- what new events in XEvent2012 that correspond to trace events
select a.*, te.name from
(
select [Full Name], 'In 2012 not in R2' as [Status], description
from xe2008r2.dbo.events2012 e 
where not exists 
(select * from xe2008r2.dbo.eventsr2 e2
 where e.[Full Name] = e2.[Full Name]
)
union all
select [Full Name], 'In R2 not in 2012', description 
from xe2008r2.dbo.eventsr2 e2 
where not exists 
(select * from xe2008r2.dbo.events2012 e
 where e.[Full Name] = e2.[Full Name]
)
union all
select [Full Name], 'In both 2012 and R2', description 
from xe2008r2.dbo.events2012 e 
where exists 
(select * from xe2008r2.dbo.eventsr2 e2
 where e.[Full Name] = e2.[Full Name]
)
) as a
JOIN sys.trace_xe_event_map e 
ON a.[Full Name] = (e.package_name + '.' + e.xe_event_name)
JOIN sys.trace_events te
ON te.trace_event_id = e.trace_event_id
order by [Status], [Full Name]

-- what new events in XEvent2012 that do not correspond to trace events
-- 323 new events that are not trace events
select [Full Name], 'In 2012 not in R2' as [Status], description
from xe2008r2.dbo.events2012 e 
where not exists 
(select * from xe2008r2.dbo.eventsr2 e2
 where e.[Full Name] = e2.[Full Name])
and
not exists
(select * from sys.trace_xe_event_map m where e.[Full Name] = (m.package_name + '.' + m.xe_event_name))

-- 8 new actions not for trace
select * from xe2008r2.dbo.actions2012 e 
where not exists 
(select * from xe2008r2.dbo.actionsr2 e2
 where e.[Full Name] = e2.[Full Name]
)
and
not exists
(select * from sys.trace_xe_action_map m where e.[Full Name] = (m.package_name + '.' + m.xe_action_name))

